Imagick::deconstructImages
Imagick::destroy
The Imagick class
PHP Manual

# Imagick::despeckleImage

(No version information available, might be only in CVS)

Imagick::despeckleImage — Reduces the speckle noise in an image

### Description

bool Imagick::despeckleImage ( void )
Warning

This function is currently not documented; only its argument list is available.

Reduces the speckle noise in an image while perserving the edges of the original image.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::deconstructImages
Imagick::destroy
The Imagick class
PHP Manual